"""
coding: utf-8
Programmation en langage Python
Lycée Raoul Follereau

Tracé de la caractéristique d'un conducteur ohmique
Classe de seconde
Chapitre 2 - Signaux et capteurs électriques

Importation de différentes bibliothèques
    Numpy pour les calculs numériques, alias np (pour faciliter le codage du programme)
    Matplotlib pour les graphiques, alias plt
    scipy.stats pour la modélisation

"""

import numpy as np
import matplotlib.pyplot as plt
import scipy.stats as sc

# on définit un tableau du type array pour ajouter les valeurs des différentes mesures
# A compléter avec les valeurs des mesures séparées par des virgules ",".
I=np.array([valeurs à compléter])
U=np.array([valeurs à compléter])

# on efface toutes les figures précédentes
plt.clf()

# Remplacer les "???" par les paramètres convenables
plt.plot(???, ???, label='U=f(I)', color = '???', marker= '???', linestyle = '???', linewidth=2.0)

plt.title('Titre du graphique à compléter', fontsize=18)
plt.xlabel('Axe des abscisses à compléter', fontsize=14)
plt.ylabel('Axe des ordonnées à compléter', fontsize=14)

plt.grid(True)

plt.xlim(-10, 150)
plt.ylim(-0.5,3)

# Modélisation du graphique qui est une fonction affine

droite=sc.linregress(I, U) # calcul du coefficient directeur et de l'ordonnée à l'origine

coefficient=droite.slope   # on récupère la valeur du coefficient directeur
print("Le coefficient directeur de la droite est : ", coefficient)

ordonnee_origine=droite.intercept # on récupère la valeur de l'ordonnée à l'origine
print("L'ordonnée à l'origine est : ", ordonnee_origine)

# Tracé de la droite de régression linéaire
Umod=coefficient*I+ordonnee_origine # on calcule les valeurs de Umod en fonction des valeurs de I
plt.plot(I, Umod, label='Umod=f(I)', color='blue', marker= 'o', linestyle = '-', linewidth=1.0)

# Annotion pour l'erreur de mesure de l'un des points
# plt.annotate('???', xy=(???, ???), xytext=(50, 1.5), arrowprops={'facecolor':'black', 'shrink':0.005} )

plt.legend()

plt.savefig('caracteristique_resistance_nom_prenom.png')

plt.show()



